Skip to main content
GET
/
v1
/
accounts
/
withdrawals
/
{id}
Get an account bank withdrawal
curl --request GET \
  --url https://api-sandbox.circle.com/v1/accounts/withdrawals/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/accounts/withdrawals/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/accounts/withdrawals/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "sourceAccountId": "<string>",
    "destination": {
      "type": "wire",
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "name": "COMMERZBANK AG ****3000"
    },
    "amount": {
      "amount": "3.14",
      "currency": "USD"
    },
    "toAmount": {
      "currency": "USD",
      "amount": "3.14"
    },
    "fees": {
      "amount": "3.14",
      "currency": "USD"
    },
    "trackingRef": "<string>",
    "externalRef": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "riskEvaluation": {
      "reason": "3000"
    },
    "adjustments": {
      "fxCredit": {
        "amount": "3.14",
        "currency": "USD"
      },
      "fxDebit": {
        "amount": "3.14",
        "currency": "USD"
      }
    },
    "return": {
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
      "payoutId": "abdb500d-4a59-457c-801f-2d418c8703ac",
      "amount": {
        "amount": "3.14",
        "currency": "USD"
      },
      "fees": {
        "amount": "3.14",
        "currency": "USD"
      },
      "reason": "payout_returned",
      "createDate": "2020-04-10T02:13:30.000Z",
      "updateDate": "2020-04-10T02:13:30.000Z"
    },
    "description": "<string>",
    "customerExternalRef": "<string>",
    "createDate": "2020-04-10T02:13:30.000Z",
    "updateDate": "2020-04-10T02:13:30.000Z",
    "policyEvaluation": {
      "status": "approved"
    }
  }
}
{
  "code": 4,
  "message": "Unauthorized."
}
{
  "code": 404,
  "message": "Not found."
}
{
  "code": -1,
  "message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Response

Successfully retrieved a withdrawal.

data
object